Subject: River Birch Trees

From: [email-masked] (Lewis (skip) Kline)
Date: 2 Aug 1995 02:28:54 GMT

We are planning some backyard landscaping, and the landscaper is 
proposing that we use river birch trees.  Any thoughts as to pros and 
cons for growing these trees in western Pa.?  Thanks!

Skip

---

From: [email-masked] (MCBjorlie)
Date: 1 Aug 1995 23:06:00 -0400

River birch (and birches in general) are lovely trees.... be aware that
they are not tolerant of disturbance of their roots, or of drought.  They
are also relatively short lived, on the other hand they grow quickly and
can have a very pleasant form in an open yard setting.  MCBjorlie/MT